%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                             %
%   Datei:           bsp_hybrid_ini.m                       %
%   Beschreibung:    Schritte zur Berechnung der Blcke       %
%                    Discrete Transfer Fcn und Discrete       %
%                    Transfer1 aus Block Transfer Fcn         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

echo on;
% Erzeugen der bertragungsfunktion in MATLAB:
pt2 = tf([1], [1 0.5 1])
pause
%Diskretisierung mit zero-order hold
pt2_diskret_zoh = c2d(pt2, 0.5, 'zoh')
pause
% Diskretisierung mit tustin-approximation
pt2_diskret_tustin = c2d(pt2, 0.5, 'tustin')

echo off;
