%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                             %
%   Datei:           bsp_hybrid_plot.m                        %
%   Beschreibung:    Erzeugen der Abbildung 10.2              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Schalter in bsp_hybrid.mdl auf Step-Anregung stellen!
clear all
sim('bsp_hybrid')

figure
plot(bsp.time,bsp.signals.values(:,1),'k--')
hold on
plot(bsp.time,bsp.signals.values(:,2),'k-.')
h=plot(bsp.time,bsp.signals.values(:,3),'k--')
set(h,'LineWidth',1.5)
plot(bsp.time,bsp.signals.values(:,5),'k-')
set(gca,'Fontsize',20)
legend('Anregung','kontinuierlich','abgetastet = pt2\_diskret\_zoh','pt2\_diskret\_tustin',4)
xlabel('Zeit  [sec.]')
set(gca,'Xlim',[0 10],'Ylim',[0 1.5])
set(gca,'XTick',[0 2 4 6 8 10],'YTick',[0 0.5 1 1.5])
grid on;

pause;
%nun Schalter auf Sinus-Anregung umstellen!
sim('bsp_hybrid')


figure
plot(bsp.time,bsp.signals.values(:,1),'k--')
hold on
plot(bsp.time,bsp.signals.values(:,2),'k-.')
h=plot(bsp.time,bsp.signals.values(:,3),'k--')
set(h,'LineWidth',1.5)
h=plot(bsp.time,bsp.signals.values(:,4),'k-.')
set(h,'LineWidth',1.5)
plot(bsp.time,bsp.signals.values(:,5),'k-')
set(gca,'Fontsize',20)
legend('Anregung','kontinuierlich','abgetastet','pt2\_diskret\_zoh','pt2\_diskret\_tustin',3)
xlabel('Zeit  [sec.]')
set(gca,'Xlim',[0 10],'Ylim',[-2 2])
set(gca,'XTick',[0 2 4 6 8 10],'YTick',[-2 -1 0 1 2])
grid on;

